EDIT - feature request #7494

RegistrationSearch implemented
06/19/2018 11:51 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal

Description

The RegistrationSearch will allow searching for Registrations by
e TaxonName (like search with wildcard)
¢ Registration ID
¢ Reference (like search with wildcard) - lower priority --> copied to #7620

The search form will be implemented as block which can be placed on the search result page.

In order to display the search results a registration list page must also be implemented

Related issues:

Related to EDIT - feature request #7495: Registration page implemented Closed
Blocks EDIT - feature request #7496: TaxonNodes in cdm_taxontree can either |... Closed
Copied to EDIT - feature request #7620: RegistrationSearch implemented with R... Closed

Associated revisions

Revision a6ae799b - 07/17/2018 01:02 PM - Andreas Kohlbecker

fix #7494 registration search form block and result page

Revision 810710a0 - 07/19/2018 03:05 PM - Andreas Kohlbecker

ref #7494 registration search block can be used on any page

Revision b49c60b7 - 07/19/2018 04:52 PM - Andreas Kohlbecker

ref #7494 fixing form action url in search registration block

Revision 098b6358 - 07/19/2018 05:15 PM - Andreas Kohlbecker

ref #7494 registration search filter layout improvements

History

#1 - 06/19/2018 11:52 AM - Andreas Kohlbecker

- Description updated

#2 - 06/19/2018 11:54 AM - Andreas Kohlbecker
- Related to feature request #7495: Registration page implemented added

#3 - 06/19/2018 12:00 PM - Andreas Kohlbecker

- Blocks feature request #7496: TaxonNodes in cdm_taxontree can either link to taxon or reference search result pages added

#4 - 07/17/2018 01:02 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportalla6ae799bf137d61817db96bd5b32bdeed480e09e.
https://dev.e-taxonomy.eu/redmine/issues/7620
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/a6ae799bf137d61817db96bd5b32bdeed480e09e

#5 - 07/19/2018 03:14 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Implemented, please test. There are two ways to perform a search:

1. go to the registration search directly http:/test.e-taxonomy.eu/dataportal/preview/phycobank/cdm_dataportal/search/registration
2. use the block in the left sidebar from any other page

Questions:
1. Is the title "Search registrations" good? Or should we just name the page "Registrations" ?

#6 - 08/03/2018 01:24 PM - Andreas Kohlbecker

- Copied to feature request #7620: RegistrationSearch implemented with Reference filter added

#7 - 08/03/2018 01:24 PM - Andreas Kohlbecker

- Description updated

#8 - 08/03/2018 01:24 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100
